Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
viendinhngoc

Nhờ viết lisp copy text

Các bài được khuyến nghị

giả sử m đang có text A và text B

m muốn copy nội dung text A vào text B, kiêu như chọn A rồi kích và B C D E là giá trị trong text là A hết ấy nhé

thank bạn

A

B C D E

sau tich 

A

A A A A 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có phải như vầy không?

 


(defun C:test(/ tn)
  (setq tn (cdr (assoc 1 (entget (car (entsel "\nChon text nguon:"))))))
  (princ "\nChon text dich de copy...")
  (mapcar '(lambda(x) (entmod (subst (cons 1 tn) (assoc 1 (entget x)) (entget x)))) (acet-ss-to-list (ssget '((0 . "TEXT")))))  
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Perfect :D

thank bạn nhá

nhưng mà có thể khi kích vào đối tượng nào  nó thay đổi luôn nội dung   của text đó luôn không đợi đến khi ấn space không bạn

thank

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Pick : http://www.cadviet.com/forum/topic/54070-hoi-chon-doi-tuong-pline-sau-khi-break/?do=findComment&comment=168681

Quét : như trên hoặc 

http://www.cadviet.com/forum/topic/56149-nho-chinh-sua-lisp-matext-copy-noi-dung-text-nay-sang-text-kia/

 

hoặc có rất nhiều lisp tương tự trên diễn đàn.

Vẫn chưa hiểu tại sao bạn không thử search chữ Copy text trước khi yêu cầu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vậy thì là cái này, quơ giống như crossing, enter để dứt lệnh. Hàm rc tôi lấy trên mạng.

 


(defun rc (/ p1 p2 p3 p4 a g om)
(setq om (getvar "OSMODE"))(setvar "OSMODE" 0)
(setq p1 (getpoint "\nSelect objects by crossing..."))
 
(princ "\nOther corner...")
(while (not a)
(setq g (grread T) p3 (cadr g))
(cond ((= (car g) 3)
(setq a T)
(redraw)
)
((= (car g) 5)
(setq p2 (list (car p1)(cadr p3)))
(setq p4 (list (car p3)(cadr p1)))
(redraw)(grvecs (list -256 p1 p2 p2 p3 p3 p4 p4 p1))
)
)
)
(setvar "OSMODE" om)
(acet-ss-to-list (ssget "CP" (list p1 p2 p3 p4) '((0 . "TEXT"))))
)
 
(defun C:test(/ tn)
  (setq tn (cdr (assoc 1 (entget (car (entsel "\nChon text nguon:"))))))
  (princ "\nChon text dich de copy...")
  (vl-catch-all-error-p (vl-catch-all-apply '(lambda() 
    (while (setq tm (rc)) (mapcar '(lambda(x) (entmod (subst (cons 1 tn) (assoc 1 (entget x)) (entget x))))  tm)) ))) 
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×